SimpleEvaluationObject (base API)
Date: 2019-04-05

com.twosigma.beakerx.jvm.object

## Class SimpleEvaluationObject

- java.lang.Object
- - com.twosigma.beakerx.jvm.object.SimpleEvaluationObject

-     public class SimpleEvaluationObject
      extends java.lang.Object

  Abstraction around an evaluation, for communication of the state over REST to the plugin.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SimpleEvaluationObject.EvaluationStatus`
    `class` | `SimpleEvaluationObject.EvaluationStdError`
    `class` | `SimpleEvaluationObject.EvaluationStdOutput`
    `static class` | `SimpleEvaluationObject.SimpleOutputHandler`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleEvaluationObject(java.lang.String e, ConfigurationFactory factory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendError(java.lang.String s)`
    `void` | `appendOutput(java.lang.String s)`
    `void` | `clrOutputHandler()`
    `void` | `error(java.lang.Object r)`
    `void` | `finished(java.lang.Object r)`
    `java.util.Queue<ConsoleOutput>` | `getConsoleOutput()`
    `int` | `getExecutionCount()`
    `java.lang.String` | `getExpression()`
    `com.twosigma.beakerx.message.Message` | `getJupyterMessage()`
    `java.util.List<java.lang.Object>` | `getOutputdata()`
    `java.lang.Object` | `getPayload()`
    `SimpleEvaluationObject.EvaluationStatus` | `getStatus()`
    `com.twosigma.beakerx.jvm.threads.BeakerOutputHandler` | `getStdErrorHandler()`
    `com.twosigma.beakerx.jvm.threads.BeakerOutputHandler` | `getStdOutputHandler()`
    `boolean` | `isShowResult()`
    `void` | `noResult()`
    `void` | `setOutputHandler()`
    `void` | `started()`
    `void` | `structuredUpdate(java.lang.String message, int progress)`
    `java.lang.String` | `toString()`
    `void` | `update(java.lang.Object r)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleEvaluationObject

          public SimpleEvaluationObject(java.lang.String e,
                                        ConfigurationFactory factory)

  - ### Method Detail

    - #### isShowResult

          public boolean isShowResult()

    - #### started

          public void started()

    - #### finished

          public void finished(java.lang.Object r)

    - #### error

          public void error(java.lang.Object r)

    - #### update

          public void update(java.lang.Object r)

    - #### getExpression

          public java.lang.String getExpression()

    - #### getStatus

          public SimpleEvaluationObject.EvaluationStatus getStatus()

    - #### getPayload

          public java.lang.Object getPayload()

    - #### structuredUpdate

          public void structuredUpdate(java.lang.String message,
                                       int progress)

    - #### noResult

          public void noResult()

    - #### getStdOutputHandler

          public com.twosigma.beakerx.jvm.threads.BeakerOutputHandler getStdOutputHandler()

    - #### getStdErrorHandler

          public com.twosigma.beakerx.jvm.threads.BeakerOutputHandler getStdErrorHandler()

    - #### setOutputHandler

          public void setOutputHandler()

    - #### clrOutputHandler

          public void clrOutputHandler()

    - #### getJupyterMessage

          public com.twosigma.beakerx.message.Message getJupyterMessage()

    - #### getExecutionCount

          public int getExecutionCount()

    - #### getConsoleOutput

          public java.util.Queue<ConsoleOutput> getConsoleOutput()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getOutputdata

          public java.util.List<java.lang.Object> getOutputdata()

    - #### appendOutput

          public void appendOutput(java.lang.String s)

    - #### appendError

          public void appendError(java.lang.String s)